package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-06-09
 * @description : 添加渠道
 */
@Data
public class AgentAddParam {

    /**
     * 渠道名称
     */
    @ApiModelProperty(notes = "渠道名称")
    private String agentName;

    /**
     * 推广账号类型（1：腾讯、2：头条）
     */
    @ApiModelProperty(notes = "推广账号类型（1：腾讯、2：头条）")
    private Integer accountType;

    /**
     * 账号类型
     */
    @ApiModelProperty(notes = "账号类型")
    private Long accountId;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 腾讯用户行为数据源 id
     */
    @ApiModelProperty(notes = "腾讯用户行为数据源 id")
    private Long userActionSetId;

    /**
     * 回传策略 id
     */
    @ApiModelProperty(notes = "回传策略 id")
    private Long backPolicyId;

    /**
     * 投放状态
     */
    @ApiModelProperty(notes = "投放状态")
    private Integer putStatus;
}
